<%-- 
    Document   : detail
    Created on : 27-giu-2016, 15.24.44
    Author     : mirkopoloni
--%>
<%@  taglib  prefix="c"   uri="http://java.sun.com/jsp/jstl/core"  %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Detail</title>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="resources/css/style.css">
    </head>
    <body>
        <div class="left"></div>
        <div class="right"></div>
        <div class="top"></div>
        <div class="bottom"></div>
        <div class="main-wrapper">
            <div class="left-sidebar">
                <div class="left-sidebar-buy-form">
                    <h2><a href="Controller">Homepage</a></h2>
                    <p>
                    <c:choose>
                        <c:when test="${item.getAvailability()==0}">
                            Product out of stock.</p>
                        </c:when>
                        <c:otherwise>
                            <c:choose>
                                <c:when test="${item.getUnitToBuy()==0}">
                                    Product not bought.
                                </c:when>
                                <c:when test="${item.getUnitToBuy()==1}">
                                    One unit of this product already bought.
                                </c:when>
                                <c:otherwise>
                                    ${item.getUnitToBuy()} units of this product already bought.
                                </c:otherwise>
                            </c:choose>
                            
                                </p>
                                <form>
                                    Quantity (between 1 and ${item.getAvailability()}):
                                    <input type="number" name="itemQuantity" min="1" max="${item.getAvailability()}">
                                    <input type="submit" value="Submit" class="button primary">
                                </form>

                                <p>${succeed}</p>
                        </c:otherwise>   
                        
                    </c:choose>
                    
                </div> 
            </div>
            <div class="product_detail_wrapper">
                <img src="${pageContext.request.contextPath}${item.getImage()}" />
                <div class="product_detail_info">
                    <h2>${item.getName()}</h2>
                    <p>${item.getDescription()}</p>
                    <p>Price: ${item.getPrice()} €</p>
                    <p>Art.Nr.: ${item.getCode()}</p>
                    <p>Manufacturer: ${item.getManufacturer()}</p>
                    <p>Availability: ${item.getAvailability()}</p>
                </div>
            </div> 
        </div>
    </body>
</html>
