<%-- 
    Document   : index
    Created on : 6-apr-2016, 15.24.21
    Author     : mirkopoloni


//#2980B9;//#E74C3C;
--%>
<%@  taglib  prefix="c"   uri="http://java.sun.com/jsp/jstl/core"  %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>ONLINE SHOP</title>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/style.css" >
    </head>
    <body>
        <div class="left"></div>
        <div class="right"></div>
        <div class="top"></div>
        <div class="bottom"></div>
        <div class="main-wrapper">
            <div class="left-sidebar">
                <div class="left-sidebar-cart">
                    <h2>Cart</h2>
                    <c:choose>
                        <c:when test="${cart.size()==0}">
                            <p>Your cart is empty.</p>
                        </c:when>
                        <c:when test="${cart.size()==1}">
                            <p>There is ${cart.size()} product in your cart.</p>
                            <a class="button primary" href="checkout.jsp">Checkout</a>
                        </c:when>
                        <c:otherwise>
                            <p>There are ${cart.size()} products in your cart.</p>
                            <a class="button primary" href="checkout.jsp">Checkout</a>
                        </c:otherwise>
                    </c:choose>
                </div>
                <div class="left-sidebar-filter">
                    <h2>Filter</h2>
                    <form method="post">
                        <p>Manufacturer</p>
                        <input type="submit" value="All" />
                        <c:forEach items="${ManufacturerList}" var="manufacturer">
                            <input type="submit" name="filter" value="${manufacturer}" />
                        </c:forEach>
                    </form>
                </div>
            </div>
            <div class="products">
                <c:forEach items="${ItemList}" var="article">
                    <a href="detail.jsp?number=${article.getCode()}">
                        <div class="product">
                            <div class="product_wrapper clearfix">
                                <div class="product_image" style="background-image: url('${pageContext.request.contextPath}${article.getImage()}');"></div>
                                <div class="product_info">
                                    <div class="product_info-name"><c:out value="${article.getName()}"/></div>
                                    <div class="product_info-description"><c:out value="${article.getDescription()}"/></div>
                                    <div class="product_info-availability">Availability: <c:out value="${article.getAvailability()}"/></div>
                                    <div class="product_info-price">Price: <c:out value="${article.getPrice()}"/>€</div>
                                </div>
                            </div>
                                <div class="designer-layer">
                                    <h4>More infos</h4>
                                </div>
                        </div>
                    </a>
                </c:forEach>
            </div> 
        </div>
        
    </body>
</html>
